
<?php $__env->startSection('page_icon', 'fa fa-dashboard'); ?>
<?php $__env->startSection('page_name', 'Dashboard'); ?>
<?php $__env->startSection('body'); ?>
    <div class="row">
        <div class="col-md-6 col-lg-3">
            <div class="widget-small primary coloured-icon"><i class="icon fa fa-users fa-3x"></i>
                <div class="info">
                    <h4>Users</h4>
                    <p><b><?php echo e($users); ?></b></p>
                </div>
            </div>
        </div>
        <div class="col-md-6 col-lg-3">
            <div class="widget-small info coloured-icon"><i class="icon fa fa-support fa-3x"></i>
                <div class="info">
                    <h4>Active Tickets</h4>
                    <p><b><?php echo e($supports); ?></b></p>
                </div>
            </div>
        </div>
        <div class="col-md-6 col-lg-3">
            <div class="widget-small warning coloured-icon"><i class="icon fa fa-wifi fa-3x"></i>
                <div class="info">
                    <h4>Active Routes</h4>
                    <p><b><?php echo e($routes); ?></b></p>
                </div>
            </div>
        </div>
        <div class="col-md-6 col-lg-3">
            <div class="widget-small danger coloured-icon"><i class="icon fa fa-exchange fa-3x"></i>
                <div class="info">
                    <h4>Active Gateways</h4>
                    <p><b><?php echo e($gateways); ?></b></p>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            <div class="tile">
                <h3 class="tile-title">Monthly Transactions</h3>
                <div id="month-trans"></div>
            </div>
        </div>
        <div class="col-md-6">
            <div class="tile">
                <h3 class="tile-title">Monthly SMS send</h3>
                <div id="month-sms"></div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            <div class="tile">
                <h3 class="tile-title">Recent 5 Transactions</h3>
                <div class="tile-body">
                    <table class="table table-responsive">
                        <thead>
                        <tr>
                            <th>Recipient</th>
                            <th>Sender</th>
                            <th>Amount</th>
                            <th>Type</th>
                            <th>Trx</th>
                            <th>Date</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php $__currentLoopData = $lastTransactions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ltrans): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($ltrans->to_add != 0 ? $ltrans->to->username : 'Admin'); ?></td>
                                <td><?php echo e($ltrans->from_add != 0 ? $ltrans->from->username : 'Admin'); ?></td>
                                <td><?php echo e($general->currency_symbol); ?> <?php echo e($ltrans->amount); ?></td>
                                <td>
                                    <?php if($ltrans->type == 1): ?>
                                        <p class="badge badge-success">Balance Added</p>
                                    <?php elseif($ltrans->type == 2): ?>
                                        <p class="badge badge-danger">Balance Deducted</p>
                                    <?php elseif($ltrans->type == 3): ?>
                                        <p class="badge badge-info">SMS sent</p>
                                    <?php endif; ?>
                                </td>
                                <td><?php echo e($ltrans->trx); ?></td>
                                <td><?php echo e($ltrans->created_at->format('d M, Y')); ?></td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <div class="tile">
                <h3 class="tile-title">Recent 5 Support Tickets</h3>
                <div class="tile-body">
                    <table class="table table-responsive">
                        <thead>
                        <tr>
                            <th>User</th>
                            <th>Ticket</th>
                            <th>Sub</th>
                            <th>status</th>
                            <th>Date</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php $__currentLoopData = $lastsupports; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lticket): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($lticket->user->username); ?></td>
                            <td><?php echo e($lticket->ticket); ?> </td>
                            <td><?php echo e($lticket->subject); ?> </td>
                            <td>
                                <?php if($lticket->status == 0): ?>
                                    <p class="badge badge-primary">Open</p>
                                <?php elseif($lticket->status == 1): ?>
                                    <p class="badge badge-success">Answered</p>
                                <?php elseif($lticket->status == 2): ?>
                                    <p class="badge badge-info">Customer Replied</p>
                                <?php elseif($lticket->status == 3): ?>
                                    <p class="badge badge-danger">Closed</p>
                                <?php endif; ?>
                            </td>
                            <td><?php echo e($lticket->created_at->format('d M, Y')); ?></td>
                        </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.5.0/Chart.js"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            var mt =  <?php echo $monthly_trans; ?> ;
            new Morris.Bar({
                element: 'month-trans',
                data: mt,
                xkey: 'y',
                ykeys: ['a'],
                labels: ['Monthly Transactions']
            });
            var ms =  <?php echo $monthly_sms; ?> ;
            Morris.Donut({
                element: 'month-sms',
                data: ms
            });
        });

    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>