<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Main CSS-->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/admin/css/main.css')); ?>">
    <!-- Font-icon css-->
    <link rel="stylesheet" type="text/css"
          href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="shortcut icon" type="image/png" href="<?php echo e(asset('assets/frontend/upload/logo/icon.png')); ?>">
    <link href="<?php echo e(asset('assets/user/css/color.php?color=')); ?><?php echo e($general->base_color); ?>" rel="stylesheet">
    <title><?php echo e($general->title); ?> | Admin Login</title>
</head>
<body>
<section class="material-half-bg">
    <div class="cover"></div>
</section>
<section class="login-content">
    <div class="logo">
        <img class="img-responsive" src="<?php echo e(asset('assets/user/upload/logo/logo.png')); ?>"
             style="max-width: 200px; max-height: 60px">
    </div>
    <div class="login-box">
        <form class="login-form" action="<?php echo e(route('admin.login')); ?>" method="post">
            <?php echo csrf_field(); ?>
            <h3 class="login-head"><i class="fa fa-lg fa-fw fa-user"></i>SIGN IN</h3>
            <?php if(session()->has('error')): ?>
                    <strong style="color: #96000e"><?php echo e(session()->get('error')); ?></strong>
            <?php endif; ?>
            <div class="form-group">
                <label class="control-label">USERNAME</label>
                <input class="form-control <?php echo e($errors->has('username') ? ' is-invalid' : ''); ?>" type="text"
                       name="username" value="<?php echo e(old('username')); ?>" placeholder="Username" autofocus required>

            </div>
            <div class="form-group">
                <label class="control-label">PASSWORD</label>
                <input class="form-control <?php echo e($errors->has('password') ? ' is-invalid' : ''); ?>" type="password"
                       name="password" placeholder="Password" required>
            </div>
            <div class="form-group btn-container">
                <button class="btn btn-primary btn-block"><i class="fa fa-sign-in fa-lg fa-fw"></i>SIGN IN</button>
            </div>
        </form>
    </div>
</section>
<?php echo $__env->make('admin.layouts.scripts', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<script type="text/javascript">
    // Login Page Flipbox control
    $('.login-content [data-toggle="flip"]').click(function () {
        $('.login-box').toggleClass('flipped');
        return false;
    });
</script>
</body>
</html>

