<?php $__env->startSection('page_icon', 'fa fa-users'); ?>
<?php $__env->startSection('page_name', 'Users List'); ?>
<?php $__env->startSection('body'); ?>
    <div class="tile">
        <div class="app-search float-right">
            <form method="POST" action="<?php echo e(route('admin.search-users')); ?>">
                <?php echo csrf_field(); ?>
                <input type="search" name="search" class="app-search__input" style="background:#ddd;"
                       placeholder="Search User">
                <button class="app-search__button" type="submit"><i class="fa fa-search"></i></button>
            </form>
        </div>
        <h3 class="tile-title">Users List</h3>
        <table class="table table-hover table-responsive-lg">
            <thead>
            <tr>
                <th>Name</th>
                <th>Email</th>
                <th>Username</th>
                <th>Phone</th>
                <th>User type</th>
                <th>Reseller</th>
                <th>Action</th>
            </tr>
            </thead>
            <tbody>
            <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td>
                        <?php echo e($user->name); ?>

                    </td>
                    <td>
                        <?php echo e($user->email); ?>

                    </td>
                    <td>
                        <?php echo e($user->username); ?>

                    </td>
                    <td>
                        <?php echo e($user->mobile); ?>

                    </td>
                    <td>
                        <?php echo $user->roll == 0? 'User' : '<b>Reseller</b>'; ?>

                    </td>
                    <td>
                        <?php if($user->refer_by == 0): ?>
                            <?php echo e($general->title); ?>

                        <?php else: ?>
                            <a href="<?php echo e(route("admin.user-single", $user->refer_by)); ?>"><?php echo e(\App\User::where('id', $user->refer_by)->value('username')); ?></a>
                        <?php endif; ?>
                    </td>
                    <td>
                        <a href="<?php echo e(route('admin.user-single', $user->id)); ?>" class="btn btn-outline-info">
                            <i class="fa fa-eye"></i> View</a>
                        <?php if($user->roll == 0 && $user->refer_by == 0): ?>
                        <button class="btn btn-outline-secondary mark-reseller" data-toggle="modal"
                                data-target="#markAsReseller"
                                data-route="<?php echo e(route('admin.user-roll', $user->id)); ?>">
                            <i class="fa fa-check"></i> Mark As Reseller
                        </button>
                            <?php endif; ?>
                    </td>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <tbody>
        </table>
        <div class="d-flex justify-content-center">
            <?php echo e($users->links()); ?>

        </div>
    </div>
    <div class="modal fade" id="markAsReseller" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title" id="myModalLabel"> <i class='fa fa-exclamation-triangle'></i><strong>Confirmation!</strong> </h4>
                    <button type="button" class="btn btn-danger" data-dismiss="modal" aria-hidden="true">X</button>
                </div>
                <div class="modal-body">
                    <strong>Are you sure want to make this user as reseller?</strong>
                </div>
                <div class="modal-footer">
                    <form method="post" action="" id="resellModal">
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('PUT'); ?>
                        <button type="button" class="btn btn-danger" data-dismiss="modal"><i class="fa fa-times"></i> Close</button>
                        <button type="submit" class="btn btn-primary custom-btn-background" name="replayTicket" value="2"><i class="fa fa-check"></i> Yes I'm Sure.</button>
                    </form>
                </div>

            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
    <script>
        $(document).ready(function () {
            $(document).on('click', '.mark-reseller', function () {
                var route = $(this).data('route');
                $('#resellModal').attr('action', route);
            });
        });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>